> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bliper.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Resetar Link da Comunidade

> Gera um novo link de convite para a comunidade

## Descrição

Gera um novo link de convite para a comunidade, invalidando o link anterior.

## Request

### Headers

```
Client-Token: SEU_CLIENT_TOKEN
Content-Type: application/json
```

### Body

```json theme={null}
{
  "communityId": "120363356981780178",
  "groupsPhones": ["120363355575783097-group"]
}
```

| Campo          | Tipo   | Obrigatório | Descrição                                                       |
| -------------- | ------ | ----------- | --------------------------------------------------------------- |
| `communityId`  | string | Sim         | ID da comunidade                                                |
| `groupsPhones` | array  | Não         | Lista de grupos da comunidade afetados pela redefinição do link |

## Response

### Sucesso (200)

```json theme={null}
{
  "inviteLink": "https://chat.whatsapp.com/AbCdEfGhIjK"
}
```

## Exemplo cURL

```bash theme={null}
curl -X POST 'https://api.bliper.io/instances/{INSTANCE_ID}/token/{INSTANCE_TOKEN}/redefine-invitation-link/120363356981780178' \
  -H 'Client-Token: SEU_CLIENT_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"communityId": "120363356981780178", "groupsPhones": ["120363355575783097-group"]}'
```
